Download it now!
Bug 106468 (wpd-old) - editing viewing fileopen unable to open edit or view older wordperfect documents
Summary: editing viewing fileopen unable to open edit or view older wordperfect documents
Status: NEW
Alias: wpd-old
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.6.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 106467 (view as bug list)
Depends on:
Blocks: Format-Filters
  Show dependency treegraph
 
Reported: 2017-03-10 04:57 UTC by sandhillsinvestment
Modified: 2019-05-22 02:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
wpd file created early 2008 which will not open (7.00 KB, application/octet-stream)
2017-03-10 05:02 UTC, sandhillsinvestment
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sandhillsinvestment 2017-03-10 04:57:54 UTC
A friend has many wpd documents from the late 90s to present.
LO 5.2.6.2 easily opens those created with a version of WP installed about August 2008 but does not recognize the format of documents created with an earlier version of WP.  All documents causing the problem were created on Windows 7 or earlier versions and due to hardware failure have been moved to a Linux platform where they cannot be opened in readable form.

The attached file "Failed.wpd" was created and saved March 13, 2008 and is unable to be opened in readable form by LO. Any file created at this time or earlier will import only as scrambled unreadable gibberish in LO.

I know that I was using star office / open office in 2005 & 2006 and IIRC was able to read/open/edit wpd documents being created by WP at that time so I anticipated LO would be able to read those also, but it does not.
Comment 1 sandhillsinvestment 2017-03-10 05:02:17 UTC
Created attachment 131786 [details]
wpd file created early 2008 which will not open
Comment 2 Jacques Guilleron 2017-03-10 09:36:00 UTC
*** Bug 106467 has been marked as a duplicate of this bug. ***
Comment 3 Jacques Guilleron 2017-03-10 10:06:36 UTC
Hi Sandhillsinvestment,

Confirm failed.wpd cannot be opened in readable form with 
LO 5.3.1.1 Build ID: 72fee18f394a980128dc111963f2eefb05998eeb
Threads CPU : 2; Version de l'OS :Windows 6.1; UI Render : par défaut; Moteur de mise en page : nouveau; Locale : fr-FR (fr_FR); Calc: CL
or earlier verssion.

Jacques
Comment 4 QA Administrators 2018-03-11 03:41:18 UTC Comment hidden (obsolete)
Comment 5 Thomas Lendo 2018-03-11 23:05:10 UTC
Still reproducible with Version: 6.1.0.0.alpha0+
Build ID: adc6ba2ad502f095dde8f36242fda9aaa6c276fd
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
Build from today
Comment 6 QA Administrators 2019-05-22 02:53:12 UTC
Dear sandhillsinvestment,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug